fuss-manager - Segnalazione #849

fuss-manager elenca IP vecchi e con orai non corrispondenti a timestamp arp
06/20/2019 04:10 PM - Claudio Cavall

Status: Chiuso Start date: 06/20/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9 Consolidamento

Resolution:

Description

Nell'elenco delle macchine su fuss-manager risultano tra le piu recenti alcune macchine (tra cui anche berta , server della rete in cui
sto lavorando) con i vecchi IP esterni Telecom non piu esistenti e con orari attuali.
Ad esempio in fuss-manager si trova :

Name host67-104-static.22-80-b.business.telecomitalia.it

IP 80.22.104.67

MAC 78:e7:d1:62:14:82

First seen 31/5/2019, 11:03:21

Last seen 20/6/2019, 15:48:22

Nel file /var/lib/arpwatch/arp.dat la stessa macchina risulta:

78:e7:d1:62:14:82 80.22.104.67 1543510070  host67-104-static eth0
L'Orario unix 1543510070 corrisponde alla data: 11/29/2018 @ 4:47pm (UTC)

La data riportata da fuss-manager probabilmente corrisponde alla data dell'ultima lettura del file e non al timestamp dell'ultima ultima
volta che ¢ stato rilevato quel device.

Associated revisions

Revision fe2f824c - 06/21/2019 10:00 AM - Elena Grandi

Parse timestamp for arpwatch events from the arpwatch file. refs #849

Revision 9fefbd18 - 06/28/2019 01:59 PM - Enrico Zini
Sync with master. refs: #849

Revision 3c0e6fef - 06/28/2019 01:59 PM - Enrico Zini
Merged to master. Fixes: #849

History

#1 - 06/21/2019 10:17 AM - Elena Grandi
- Status changed from Nuovo to Commenti
- Assignee changed from Elena Grandi to Claudio Cavalli

Confermo, fuss-manager non caricava il timestamp dal file arpwatch; fixato nel codice, non su berta.

#2 - 06/21/2019 10:17 AM - Elena Grandi

- Assignee changed from Claudio Cavalli to Enrico Zini

Riassegno ad Enrico per review e merge in master del branch t849 con la fix.

#3 - 06/28/2019 12:10 PM - Enrico Zini
- Target version set to 0.9 Consolidamento

#4 - 06/28/2019 01:59 PM - Enrico Zini

- Status changed from Commenti to Chiuso

Fatto merge in master.
